#!/bin/bash

DATE_TIME_START=$(date +%Y%m%d_%H%M%S)
QUEUE_SIZE=$((1024*1024*1024*4))
QUEUE_NAME="qpid_broker_bad_alloc_${DATE_TIME_START}"
MSG_NUM=285
MSG_SIZE=$((1024*1024*10))
SPOUT="${PWD}/spout"


echo "starting test"

service qpidd restart

echo "creating queue"
qpid-config add queue ${QUEUE_NAME} --max-queue-size ${QUEUE_SIZE}
[ $? -eq 0 ] || {
  echo "queue creation failed!"
  exit 1
}

echo "sending messages to the queue"
${SPOUT} -c ${MSG_NUM} -s ${MSG_SIZE} ${QUEUE_NAME}

e_code=$?

if [ $e_code -eq 0 ]; then
  echo "PASS"
  exit 0
else
  echo "FAILED"
  exit 1
fi

